Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.uka.cmtm.serviceregistry.query.protege
Class SimpleRelevanceCalculator

    java.lang.Object
      de.uka.cmtm.serviceregistry.query.protege.SimpleRelevanceCalculator

All Implemented Interfaces:
  RelevanceCalculator

    public class SimpleRelevanceCalculator

extends Object
implements RelevanceCalculator

Calculates the relevance with using correlation between result vector and parameter vector using the weights set by the constants below. All different types of classes in the search parameter and result specification are equally weighted.

Author:
  tilmann

Constructor Summary
`SimpleRelevanceCalculator()`

Method Summary
`double` | `calculateRelevance(ProfileIndividualInfo info, ProfileIndividualParameter parameter, ParameterConformClasses conformClasses)` Calculates the relevance of the search result info regarding the given search parameter and conform classes

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleRelevanceCalculator

    public SimpleRelevanceCalculator()

Method Detail

### calculateRelevance

    public double calculateRelevance(ProfileIndividualInfo info,
                                     ProfileIndividualParameter parameter,
                                     ParameterConformClasses conformClasses)

  Calculates the relevance of the search result info regarding the given search parameter and conform classes

  Specified by:
    `calculateRelevance` in interface `RelevanceCalculator`
  Parameters:
    `info` - the search result
    `parameter` - the search parameter
    `conformClasses` - the conform classes
  Returns:
    the relevance of the result-parameter-set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD